org.apache.poi.hslf.record

## Class ExObjRefAtom

- java.lang.Object
- - org.apache.poi.hslf.record.Record
  - - org.apache.poi.hslf.record.RecordAtom
    - - org.apache.poi.hslf.record.ExObjRefAtom

- All Implemented Interfaces:
    GenericRecord

      public final class ExObjRefAtom
      extends RecordAtom

  ExObjRefAtom (3009).

  An atom record that specifies a reference to an external object.

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hslf.record.Record

      `logger`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `ExObjRefAtom()` Create a new instance of `ExObjRefAtom`
    `protected` | `ExObjRefAtom(byte[] source, int start, int len)` Build an instance of `ExObjRefAtom` from on-disk data

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getExObjIdRef()`
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `long` | `getRecordType()` Returns the type (held as a little endian in bytes 3 and 4) that this class handles
    `void` | `setExObjIdRef(int id)`
    `void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

    - ### Methods inherited from class org.apache.poi.hslf.record.RecordAtom

      `getChildRecords, isAnAtom`

    - ### Methods inherited from class org.apache.poi.hslf.record.Record

      `buildRecordAtOffset, createRecordForType, findChildRecords, getGenericChildren, getGenericRecordType, writeLittleEndian, writeLittleEndian`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExObjRefAtom

          public ExObjRefAtom()

      Create a new instance of `ExObjRefAtom`

    - #### ExObjRefAtom

          protected ExObjRefAtom(byte[] source,
                                 int start,
                                 int len)

      Build an instance of `ExObjRefAtom` from on-disk data
      Parameters:
        `source` - the source data as a byte array.
        `start` - the start offset into the byte array.
        `len` - the length of the slice in the byte array.

  - ### Method Detail

    - #### getRecordType

          public long getRecordType()

      Description copied from class: `Record`
      Returns the type (held as a little endian in bytes 3 and 4) that this class handles
      Specified by:
        `getRecordType` in class `Record`
      Returns:
        type of this record `RecordTypes.ExObjRefAtom`.

    - #### getExObjIdRef

          public int getExObjIdRef()

    - #### setExObjIdRef

          public void setExObjIdRef(int id)

    - #### writeOut

          public void writeOut(java.io.OutputStream out)
                        throws java.io.IOException

      Write the contents of the record back, so it can be written to disk
      Specified by:
        `writeOut` in class `Record`
      Throws:
        `java.io.IOException`

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.